org.apache.avro.ipc

## Class HandshakeRequest

- java.lang.Object
- - org.apache.avro.specific.SpecificRecordBase
  - - org.apache.avro.ipc.HandshakeRequest

All Implemented Interfaces:
  Externalizable, Serializable, Comparable<org.apache.avro.specific.SpecificRecord>, org.apache.avro.generic.GenericContainer, org.apache.avro.generic.GenericRecord, org.apache.avro.generic.IndexedRecord, org.apache.avro.specific.SpecificRecord

    public class HandshakeRequest
    extends org.apache.avro.specific.SpecificRecordBase
    implements org.apache.avro.specific.SpecificRecord

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `HandshakeRequest.Builder` RecordBuilder for HandshakeRequest instances.

### Field Summary

Fields
`static org.apache.avro.Schema` `SCHEMA$`

### Constructor Summary

Constructors
Constructor and Description
`HandshakeRequest()` Default constructor.
`HandshakeRequest(MD5 clientHash, String clientProtocol, MD5 serverHash, Map<String,ByteBuffer> meta)` All-args constructor.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.apache.avro.message.BinaryMessageDecoder<HandshakeRequest>` `createDecoder(org.apache.avro.message.SchemaStore resolver)` Create a new BinaryMessageDecoder instance for this class that uses the specified `SchemaStore`.
`void` `customDecode(org.apache.avro.io.ResolvingDecoder in)`
`void` `customEncode(org.apache.avro.io.Encoder out)`
`static HandshakeRequest` `fromByteBuffer(ByteBuffer b)` Deserializes a HandshakeRequest from a ByteBuffer.
`Object` `get(int field$)`
`static org.apache.avro.Schema` `getClassSchema()`
`MD5` `getClientHash()` Gets the value of the 'clientHash' field.
`String` `getClientProtocol()` Gets the value of the 'clientProtocol' field.
`static org.apache.avro.message.BinaryMessageDecoder<HandshakeRequest>` `getDecoder()` Return the BinaryMessageDecoder instance used by this class.
`static org.apache.avro.message.BinaryMessageEncoder<HandshakeRequest>` `getEncoder()` Return the BinaryMessageEncoder instance used by this class.
`Map<String,ByteBuffer>` `getMeta()` Gets the value of the 'meta' field.
`Optional<MD5>` `getOptionalClientHash()` Gets the value of the 'clientHash' field as an Optional<org.apache.avro.ipc.MD5>.
`Optional<String>` `getOptionalClientProtocol()` Gets the value of the 'clientProtocol' field as an Optional<java.lang.String>.
`Optional<Map<String,ByteBuffer>>` `getOptionalMeta()` Gets the value of the 'meta' field as an Optional<java.util.Map<java.lang.String,java.nio.ByteBuffer>>.
`Optional<MD5>` `getOptionalServerHash()` Gets the value of the 'serverHash' field as an Optional<org.apache.avro.ipc.MD5>.
`org.apache.avro.Schema` `getSchema()`
`MD5` `getServerHash()` Gets the value of the 'serverHash' field.
`org.apache.avro.specific.SpecificData` `getSpecificData()`
`protected boolean` `hasCustomCoders()`
`static HandshakeRequest.Builder` `newBuilder()` Creates a new HandshakeRequest RecordBuilder.
`static HandshakeRequest.Builder` `newBuilder(HandshakeRequest.Builder other)` Creates a new HandshakeRequest RecordBuilder by copying an existing Builder.
`static HandshakeRequest.Builder` `newBuilder(HandshakeRequest other)` Creates a new HandshakeRequest RecordBuilder by copying an existing HandshakeRequest instance.
`void` `put(int field$, Object value$)`
`void` `readExternal(ObjectInput in)`
`void` `setClientHash(MD5 value)` Sets the value of the 'clientHash' field.
`void` `setClientProtocol(String value)` Sets the value of the 'clientProtocol' field.
`void` `setMeta(Map<String,ByteBuffer> value)` Sets the value of the 'meta' field.
`void` `setServerHash(MD5 value)` Sets the value of the 'serverHash' field.
`ByteBuffer` `toByteBuffer()` Serializes this HandshakeRequest to a ByteBuffer.
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class org.apache.avro.specific.SpecificRecordBase

`compareTo, equals, get, getConversion, getConversion, hashCode, put, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.avro.generic.GenericRecord

`hasField`

### Field Detail

#### SCHEMA$

    public static final org.apache.avro.Schema SCHEMA$

### Constructor Detail

#### HandshakeRequest

    public HandshakeRequest()

Default constructor. Note that this does not initialize fields to their default values from the schema. If that is desired then one should use `newBuilder()`.

#### HandshakeRequest

    public HandshakeRequest(MD5 clientHash,
                            String clientProtocol,
                            MD5 serverHash,
                            Map<String,ByteBuffer> meta)

All-args constructor.

Parameters:
  `clientHash` - The new value for clientHash
  `clientProtocol` - The new value for clientProtocol
  `serverHash` - The new value for serverHash
  `meta` - The new value for meta

### Method Detail

#### getClassSchema

    public static org.apache.avro.Schema getClassSchema()

#### getEncoder

    public static org.apache.avro.message.BinaryMessageEncoder<HandshakeRequest> getEncoder()

Return the BinaryMessageEncoder instance used by this class.

Returns:
  the message encoder used by this class

#### getDecoder

    public static org.apache.avro.message.BinaryMessageDecoder<HandshakeRequest> getDecoder()

Return the BinaryMessageDecoder instance used by this class.

Returns:
  the message decoder used by this class

#### createDecoder

    public static org.apache.avro.message.BinaryMessageDecoder<HandshakeRequest> createDecoder(org.apache.avro.message.SchemaStore resolver)

Create a new BinaryMessageDecoder instance for this class that uses the specified `SchemaStore`.

Parameters:
  `resolver` - a `SchemaStore` used to find schemas by fingerprint
Returns:
  a BinaryMessageDecoder instance for this class backed by the given SchemaStore

#### toByteBuffer

    public ByteBuffer toByteBuffer()
                            throws IOException

Serializes this HandshakeRequest to a ByteBuffer.

Returns:
  a buffer holding the serialized data for this instance
Throws:
  `IOException` - if this instance could not be serialized

#### fromByteBuffer

    public static HandshakeRequest fromByteBuffer(ByteBuffer b)
                                           throws IOException

Deserializes a HandshakeRequest from a ByteBuffer.

Parameters:
  `b` - a byte buffer holding serialized data for an instance of this class
Returns:
  a HandshakeRequest instance decoded from the given buffer
Throws:
  `IOException` - if the given bytes could not be deserialized into an instance of this class

#### getSpecificData

    public org.apache.avro.specific.SpecificData getSpecificData()

Overrides:
  `getSpecificData` in class `org.apache.avro.specific.SpecificRecordBase`

#### getSchema

    public org.apache.avro.Schema getSchema()

Specified by:
  `getSchema` in interface `org.apache.avro.generic.GenericContainer`
Specified by:
  `getSchema` in class `org.apache.avro.specific.SpecificRecordBase`

#### get

    public Object get(int field$)

Specified by:
  `get` in interface `org.apache.avro.generic.IndexedRecord`
Specified by:
  `get` in class `org.apache.avro.specific.SpecificRecordBase`

#### put

    public void put(int field$,
                    Object value$)

Specified by:
  `put` in interface `org.apache.avro.generic.IndexedRecord`
Specified by:
  `put` in class `org.apache.avro.specific.SpecificRecordBase`

#### getClientHash

    public MD5 getClientHash()

Gets the value of the 'clientHash' field.

Returns:
  The value of the 'clientHash' field.

#### getOptionalClientHash

    public Optional<MD5> getOptionalClientHash()

Gets the value of the 'clientHash' field as an Optional<org.apache.avro.ipc.MD5>.

Returns:
  The value wrapped in an Optional<org.apache.avro.ipc.MD5>.

#### setClientHash

    public void setClientHash(MD5 value)

Sets the value of the 'clientHash' field.

Parameters:
  `value` - the value to set.

#### getClientProtocol

    public String getClientProtocol()

Gets the value of the 'clientProtocol' field.

Returns:
  The value of the 'clientProtocol' field.

#### getOptionalClientProtocol

    public Optional<String> getOptionalClientProtocol()

Gets the value of the 'clientProtocol' field as an Optional<java.lang.String>.

Returns:
  The value wrapped in an Optional<java.lang.String>.

#### setClientProtocol

    public void setClientProtocol(String value)

Sets the value of the 'clientProtocol' field.

Parameters:
  `value` - the value to set.

#### getServerHash

    public MD5 getServerHash()

Gets the value of the 'serverHash' field.

Returns:
  The value of the 'serverHash' field.

#### getOptionalServerHash

    public Optional<MD5> getOptionalServerHash()

Gets the value of the 'serverHash' field as an Optional<org.apache.avro.ipc.MD5>.

Returns:
  The value wrapped in an Optional<org.apache.avro.ipc.MD5>.

#### setServerHash

    public void setServerHash(MD5 value)

Sets the value of the 'serverHash' field.

Parameters:
  `value` - the value to set.

#### getMeta

    public Map<String,ByteBuffer> getMeta()

Gets the value of the 'meta' field.

Returns:
  The value of the 'meta' field.

#### getOptionalMeta

    public Optional<Map<String,ByteBuffer>> getOptionalMeta()

Gets the value of the 'meta' field as an Optional<java.util.Map<java.lang.String,java.nio.ByteBuffer>>.

Returns:
  The value wrapped in an Optional<java.util.Map<java.lang.String,java.nio.ByteBuffer>>.

#### setMeta

    public void setMeta(Map<String,ByteBuffer> value)

Sets the value of the 'meta' field.

Parameters:
  `value` - the value to set.

#### newBuilder

    public static HandshakeRequest.Builder newBuilder()

Creates a new HandshakeRequest RecordBuilder.

Returns:
  A new HandshakeRequest RecordBuilder

#### newBuilder

    public static HandshakeRequest.Builder newBuilder(HandshakeRequest.Builder other)

Creates a new HandshakeRequest RecordBuilder by copying an existing Builder.

Parameters:
  `other` - The existing builder to copy.
Returns:
  A new HandshakeRequest RecordBuilder

#### newBuilder

    public static HandshakeRequest.Builder newBuilder(HandshakeRequest other)

Creates a new HandshakeRequest RecordBuilder by copying an existing HandshakeRequest instance.

Parameters:
  `other` - The existing instance to copy.
Returns:
  A new HandshakeRequest RecordBuilder

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Overrides:
  `writeExternal` in class `org.apache.avro.specific.SpecificRecordBase`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

Specified by:
  `readExternal` in interface `Externalizable`
Overrides:
  `readExternal` in class `org.apache.avro.specific.SpecificRecordBase`
Throws:
  `IOException`

#### hasCustomCoders

    protected boolean hasCustomCoders()

Overrides:
  `hasCustomCoders` in class `org.apache.avro.specific.SpecificRecordBase`

#### customEncode

    public void customEncode(org.apache.avro.io.Encoder out)
                      throws IOException

Overrides:
  `customEncode` in class `org.apache.avro.specific.SpecificRecordBase`
Throws:
  `IOException`

#### customDecode

    public void customDecode(org.apache.avro.io.ResolvingDecoder in)
                      throws IOException

Overrides:
  `customDecode` in class `org.apache.avro.specific.SpecificRecordBase`
Throws:
  `IOException`